Ordexs API v1 Get an API key

Geography

List a region's cities

GEThttps://api.ordexs.com/v1/cities
Any API key

The second-level areas of a region (communes in Algeria).

Query parameters

  • countrystringRequired

    ISO 3166-1 alpha-2 country code, for example DZ.

  • regionstringRequired

    A region code from GET /v1/regions.

    1–10 characters

Returns

200 OK · The cities. CityList

  • objectstringRequired

    always "list"

  • has_morebooleanRequired
  • next_cursorstring or nullRequired

    Pass as cursor to get the next page. null on the last page.

  • dataarray of CitysRequired
    6 child fields
    • objectstring

      always "city"

    • countrystring
    • regionstring
    • codestring or null
    • namestring
    • name_localstring or null

Errors

Every error has the same shape. This endpoint can answer with: